For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTAdd Entity to Folder
      • GETList Folder Entities
LogoLogo
BlogLog InRequest Demo
Client SDKFolders

List Folder Entities

Beta
GET
https://api.vellum.ai/v1/folder-entities
GET
/v1/folder-entities
1import requests
2
3url = "https://api.vellum.ai/v1/folder-entities"
4
5querystring = {"parent_folder_id":"parent_folder_id"}
6
7headers = {"X-API-KEY": "<apiKey>"}
8
9response = requests.get(url, headers=headers, params=querystring)
10
11print(response.json())
200Retrieved
1{
2 "count": 123,
3 "next": "http://api.example.org/accounts/?offset=400&limit=100",
4 "previous": "http://api.example.org/accounts/?offset=200&limit=100",
5 "results": [
6 {
7 "id": "string",
8 "type": "FOLDER",
9 "data": {
10 "id": "string",
11 "label": "string",
12 "created": "2024-01-15T09:30:00Z",
13 "modified": "2024-01-15T09:30:00Z",
14 "has_contents": true
15 }
16 }
17 ]
18}
List all folder entities within a specified folder.
Was this page helpful?
Previous

Retrieve Workspace Secret

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Headers

X-API-VersionstringOptional

Query parameters

entity_statusenumOptional

Filter down to only those objects whose entities have a status matching the status specified.

  • ACTIVE - Active
  • ARCHIVED - Archived
  • PENDING_DELETION - Pending Deletion
Allowed values:
limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingstringOptional
Which field to use when ordering the results.
parent_folder_idstringRequired

Filter down to only those entities whose parent folder has the specified ID.

To filter by an entity’s parent folder, provide the ID of the parent folder. To filter by the root directory, provide a string representing the entity type of the root directory. Supported root directories include:

  • PROMPT_SANDBOX
  • WORKFLOW_SANDBOX
  • DOCUMENT_INDEX
  • TEST_SUITE

Response

countinteger
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"
resultslist of objects